Skip to main content
`Ctrl`+`K`

# DMNetworkMonitorCreate

Creates a network monitor context

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkMonitorCreate(DM network, DMNetworkMonitor *monitorptr)

Collective

## Input Parameter

- network - network to monitor

## Output Parameter

- monitorptr - the `DMNetworkMonitor` object

## See Also

`DM`, `DMNETWORK`, `DMNetworkMonitor`, `DMNetworkMonitorDestroy()`, `DMNetworkMonitorAdd()`

## Level

intermediate

## Location

src/dm/impls/network/networkmonitor.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages